aboutsummaryrefslogtreecommitdiffstats
path: root/chapter5/gcc.sh
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-03-23 13:17:02 -0500
committerWilliam Harrington <kb0iic@berzerkula.org>2021-03-23 13:17:02 -0500
commit66d4171655e0b93766c82f50ce06521f85b58222 (patch)
tree1b6d1cbcbc169e5cbb4e6ea6698ed91d82d7cc88 /chapter5/gcc.sh
parent9d68d5da4115353816ab4f6b1c7a4f5db43576f9 (diff)
parent887bf450c01c511a3f6d048d3db78e8edfb21e8a (diff)
Merge branch 'master' into chapter7
Diffstat (limited to 'chapter5/gcc.sh')
-rw-r--r--chapter5/gcc.sh12
1 files changed, 7 insertions, 5 deletions
diff --git a/chapter5/gcc.sh b/chapter5/gcc.sh
index 6ef4ac6..ccc9630 100644
--- a/chapter5/gcc.sh
+++ b/chapter5/gcc.sh
@@ -1,3 +1,5 @@
+#!/bin/bash
+
mkdir -p mpfr gmp mpc
tar -xf ../mpfr-*.tar.xz -C mpfr --strip-components=1
tar -xf ../gmp-*.tar.xz -C gmp --strip-components=1
@@ -11,13 +13,13 @@ case $(uname -m) in
esac
mkdir -v build
-cd build
+cd build || exit 1
../configure \
- --target=${LFS_TGT} \
- --prefix=${LFS}/tools \
+ --target="${LFS_TGT}" \
+ --prefix="${LFS}"/tools \
--with-glibc-version=2.11 \
- --with-sysroot=${LFS} \
+ --with-sysroot="${LFS}" \
--with-newlib \
--without-headers \
--enable-initfini-array \
@@ -39,4 +41,4 @@ make -j1 install &&
cd ..
cat gcc/limitx.h gcc/glimits.h gcc/limity.h > \
- `dirname $(${LFS_TGT}-gcc -print-libgcc-file-name)`/install-tools/include/limits.h
+ "$(dirname "$("${LFS_TGT}"-gcc -print-libgcc-file-name)")"install-tools/include/limits.h